> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth Service Configuration

> List out all the active OAuth services configured with details.

## OpenAPI

````json GET /api/v1/service.configurations
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/service.configurations": {
      "parameters": [],
      "get": {
        "summary": "Get OAuth Service Configuration",
        "operationId": "get-api-v1-service.configurations",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "configurations": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "service": {
                            "type": "string"
                          },
                          "clientId": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "configurations": [
                        {
                          "_id": "Hq5ahzz9MWWCdeDJ8",
                          "service": "google",
                          "clientId": "xxxxx"
                        },
                        {
                          "_id": "57kavS22achLH33PE",
                          "service": "apple",
                          "clientId": "xxxxxx"
                        }
                      ],
                      "success": "true"
                    }
                  }
                }
              }
            }
          }
        },
        "description": "List out all the active OAuth services configured with details.",
        "tags": [
          "Settings"
        ]
      }
    }
  }
}
````

